Bug 162317 - Can not open rpm database when trying for update
Can not open rpm database when trying for update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-02 07:47 EDT by Bart
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:24:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bart 2005-07-02 07:47:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Error message "Can not open RPM database" when using RHN update utility.
Also add/remove stops trying to read rpm heads.
These errors appeared after upgrading from FC3 to FC4

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.trying to add/remove programs resp. update via RHN
2.
3.
  

Actual Results:  Get above mentioned error.

Expected Results:  It should work as under FC3.

Additional info:
Comment 1 Jeff Johnson 2005-07-13 05:18:41 EDT
Off to up2date ...
Comment 2 John Thacker 2006-10-29 15:24:13 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 3 John Thacker 2006-11-05 11:24:42 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.